CUPTI (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 3.44. CUpti_ActivityOpenAcc Struct Reference

## [CUPTI Activity API]

The OpenACC activity API part uses a CUpti_ActivityOpenAcc as a generic representation for any OpenACC activity. The 'kind' field is used to determine the specific activity kind, and from that the CUpti_ActivityOpenAcc object can be cast to the specific OpenACC activity record type appropriate for that kind.

Note that all OpenACC activity record types are padded and aligned to ensure that each member of the record is naturally aligned.

See also:

CUpti_ActivityKind

### Public Variables

uint32_t cuContextId
uint32_t cuDeviceId
uint32_t cuProcessId
uint32_t cuStreamId
uint32_t cuThreadId
uint64_t end
CUpti_OpenAccEventKind eventKind
uint32_t externalId
CUpti_ActivityKind kind
CUpti_OpenAccConstructKind parentConstruct
uint64_t start
uint32_t threadId

### Variables

uint32_t CUpti_ActivityOpenAcc::cuContextId [inherited]

  CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAcc::cuDeviceId [inherited]

  CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAcc::cuProcessId [inherited]

  The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAcc::cuStreamId [inherited]

  CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAcc::cuThreadId [inherited]

  The ID of the thread where the OpenACC activity is executing.

uint64_t CUpti_ActivityOpenAcc::end [inherited]

  CUPTI end timestamp

CUpti_OpenAccEventKind CUpti_ActivityOpenAcc::eventKind [inherited]

  CUPTI OpenACC event kind (

  See also:

  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAcc::externalId [inherited]

  The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

CUpti_ActivityKind CUpti_ActivityOpenAcc::kind [inherited]

  The kind of this activity.

CUpti_OpenAccConstructKind CUpti_ActivityOpenAcc::parentConstruct [inherited]

  CUPTI OpenACC parent construct kind (

  See also:

  CUpti_OpenAccConstructKind)

  Note that for applications using PGI OpenACC runtime < 16.1, this will always be CUPTI_OPENACC_CONSTRUCT_KIND_UNKNOWN.

uint64_t CUpti_ActivityOpenAcc::start [inherited]

  CUPTI start timestamp

uint32_t CUpti_ActivityOpenAcc::threadId [inherited]

  ThreadId